
{***********************************************************************
*  TKTOP version 1.0                                                   *
*                                                                      *
*    Copyright  1997, 1998 - All Rights Reserved.                     *
*    Developed By: Karlos Jorge Pinto                                  *
*    E-MAIL: Karlospinto@hotmail.com                                   *
*    Visit: o---> Delphi@pt <---o in:                                  *
*    http://www.terravista.pt/bilene/1412 ---> In English/Portuguese   *
*                                                                      *
************************************************************************
*  IRC: #portugal - Undernet. Nick: kArLoS.                            *
*  This component is FREEWARE. *But* is Unregistered. If you like      *
*  To have a registered copy of this component please read the         *
*  Register.wri, for more details.                    Build n:  2/98  *
***********************************************************************}

unit KTop;

interface

{$IFDEF WIN32}
uses
  Windows, Messages, SysUtils, Classes, Forms;
{$ELSE}
uses
  Winprocs, Wintypes, Messages, SysUtils, Classes, Forms;
{$ENDIF}

type
  TKTop = class(TComponent)
  private
    FOnTop:Boolean;
    Procedure SetOnTop(Value:Boolean);
  protected
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  published
    property KTop: Boolean read FOnTop write SetOnTop default True;

  end;

procedure Register;

implementation


constructor TKtop.Create(AOwner: TComponent);
begin
   inherited Create(AOwner);
   SetOnTop(True);
end;

destructor TKtop.Destroy;
begin
   SetOnTop(False);
   inherited Destroy;
end;

Procedure TKTop.SetOnTop(Value:Boolean);
begin
     FOnTop := Value;
     if (Owner is TForm) then
        begin
        if Value then
           SetWindowPos((Owner as TForm).Handle, HWND_TOPMOST, 0,0,0,0, SWP_NOACTIVATE or SWP_NOMOVE or SWP_NOSIZE)
        else
            SetWindowPos((Owner as TForm).Handle, HWND_NOTOPMOST,0,0,0,0, SWP_NOACTIVATE or SWP_NOMOVE or SWP_NOSIZE);

        end;
end;

procedure Register;
begin
  RegisterComponents('Delphi@pt', [TKTOP]);
end;

end.
